"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getBrowsersList = void 0;
const browserslist_1 = __importDefault(require("browserslist"));
const BROWSERLIST_TO_MDN_MAP = {
    chrome: "chrome",
    edge: "edge",
    firefox: "firefox",
    opera: "opera",
    safari: "safari",
    ie: "ie",
    and_chr: "chrome_android",
    and_ff: "firefox_android",
    op_mob: "opera_android",
    ios_saf: "safari_ios",
    samsung: "samsunginternet_android",
    android: "webview_android",
};
function getBrowsersList(path) {
    const browserQuery = browserslist_1.default.findConfig(path)?.defaults;
    if (!browserQuery || browserQuery.length === 0)
        return;
    const browsersList = (0, browserslist_1.default)(browserQuery);
    if (browsersList.length === 0)
        return;
    const browsers = Array.from(new Set(browsersList.map((b) => b.split(" ")[0])));
    return browsers.map((b) => BROWSERLIST_TO_MDN_MAP[b]).filter((b) => b);
}
exports.getBrowsersList = getBrowsersList;
//# sourceMappingURL=browserslist.js.map