"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.findIssues = void 0;
const message_1 = require("./message");
function findIssues(text, issues, browsersToCheck = [], warnForOtherBrowsers = true) {
    const selectorsToWarn = Object.keys(issues);
    const matches = [];
    selectorsToWarn.forEach((selector) => {
        const regex = new RegExp(/^[a-zA-Z]/.test(selector) ? `(?:^|\\s)${selector}` : selector, "g");
        const message = (0, message_1.getMessage)(selector, issues[selector], browsersToCheck, warnForOtherBrowsers);
        if (message) {
            let match;
            while ((match = regex.exec(text)) !== null) {
                matches.push({
                    index: match.index + 2,
                    message: message.message,
                    isError: message.isError,
                    ...(issues[selector].mdn_url && { mdnUrl: issues[selector].mdn_url }),
                });
            }
        }
    });
    return matches;
}
exports.findIssues = findIssues;
//# sourceMappingURL=check.js.map